import { StiThousandSeparator } from "../../../system/enums";
import { StiFormattedElement, StiValueElement } from "../../../system/interfaces";
import StiJson from "../../../system/StiJson";
import { StiForm } from "../../StiForm";
import { StiColumnItem } from "../StiColumnItem";
export declare class StiLabelColumnItem extends StiColumnItem implements StiValueElement, StiFormattedElement {
    label?: string;
    form?: StiForm;
    private _decimalDigits;
    type: string;
    expression: string;
    prefix: string;
    suffix: string;
    cells: any[];
    thousandSeparator: StiThousandSeparator;
    constructor(label?: string, form?: StiForm);
    copyFrom(parentItem: StiColumnItem): void;
    createCell(): any;
    setDefaultValues(): void;
    get value(): any;
    set value(value: any);
    get decimalDigits(): number;
    set decimalDigits(value: number);
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
